[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Ironies abound (was Re: GPL v3 draft)

On 1/19/06, Alexander Terekhov <alexander.terekhov@gmail.com> wrote:
> On 1/19/06, Glenn Maynard <glenn@zewt.org> wrote:
> [...]
> > compatible with itself
> The GPL is incompatible with itself. [ ... Shlomi Fish on Monday April 01 ...]

Beside that,



Even small changes from version 2 of the GPL will result in an incompatible
license. Two slightly different licenses, each saying that modified versions of
a program must be distributed under the same license, are inevitably
incompatible. That's why we suggest that programs permit use of future
versions of the GPL. It is the only way they can migrate.


Reply to: